QGIS Application - Feature request #14831
Auto updating fields
2016-05-16 11:49 PM - Dan Isaacs

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 22785
Description

If such a simple piece of script as this answer

http://gis.stackexchange.com/questions/103863/how-can-values-in-the-attribute-table-be-refreshed-automatically-when-a-geometry/190

16#190416 can make fields update automatically, why on earth is this not just the default action of the software? | can't think of a single
case scenario where one might change the outline of a polygon but want the associated database to still store the old area value, it
certainly can't be a common requirement. | know virtual fields now do this, but as has been discussed, you can't do any further work on

them, they're not seen by many plugins and can't be carried over into other software. I've put this as a feature request, but I'd also

appreciate any insight into why the default position is not to have fields automatically update when it seems so simple to make them do

SO.

History

#1 - 2016-05-17 12:15 AM - Saber Razmjooei
- Category set to Attribute table

#2 - 2016-08-18 02:42 PM - gcarrillo -
- Status changed from Open to Closed

I've just released a QGIS plugin that addresses exactly this issue. It's called AutoFields (http://plugins.qgis.org/plugins/AutoFields/).
